Show patches with: Submitter = Nathan Chancellor       |    State = Action Required       |    Archived = No       |   13 patches
Patch Series A/R/T S/W/F Date Submitter Delegate State
lib/raid6: Add -Wno-declaration-after-statement to NEON_FLAGS for clang < 14.0.1 lib/raid6: Add -Wno-declaration-after-statement to NEON_FLAGS for clang < 14.0.1 - - - --- 2022-04-04 Nathan Chancellor New
[2/2] Revert "um: clang: Strip out -mno-global-merge from USER_CFLAGS" Remove '-mno-global-merge' from KBUILD_CFLAGS - 2 - --- 2022-03-30 Nathan Chancellor New
[1/2] kbuild: Remove '-mno-global-merge' Remove '-mno-global-merge' from KBUILD_CFLAGS - 2 2 --- 2022-03-30 Nathan Chancellor New
[v2] kbuild: Make $(LLVM) more flexible [v2] kbuild: Make $(LLVM) more flexible - 2 - --- 2022-03-04 Nathan Chancellor New
kbuild: Allow a suffix with $(LLVM) kbuild: Allow a suffix with $(LLVM) - 2 - --- 2022-03-02 Nathan Chancellor New
[v2] Makefile.extrawarn: Move -Wunaligned-access to W=1 [v2] Makefile.extrawarn: Move -Wunaligned-access to W=1 - 1 - --- 2022-02-02 Nathan Chancellor New
Makefile.extrawarn: Move -Wunaligned-access to W=2 Makefile.extrawarn: Move -Wunaligned-access to W=2 - - - --- 2022-02-01 Nathan Chancellor New
[RFC,6/6] init/Kconfig: Drop linker version check for LD_ORPHAN_WARN Bump minimum supported version of LLVM to 11.0.0 - - - --- 2021-11-29 Nathan Chancellor New
[RFC,5/6] gcov: Remove compiler version check Bump minimum supported version of LLVM to 11.0.0 - - - --- 2021-11-29 Nathan Chancellor New
[RFC,4/6] Revert "ARM: 9070/1: Make UNWINDER_ARM depend on ld.bfd or ld.lld 11.0.0+" Bump minimum supported version of LLVM to 11.0.0 - - - --- 2021-11-29 Nathan Chancellor New
[RFC,3/6] arch/Kconfig: Remove CLANG_VERSION check in HAS_LTO_CLANG Bump minimum supported version of LLVM to 11.0.0 - - - --- 2021-11-29 Nathan Chancellor New
[RFC,2/6] mm, slab: Remove compiler check in __kmalloc_index Bump minimum supported version of LLVM to 11.0.0 - - - --- 2021-11-29 Nathan Chancellor New
[RFC,1/6] Documentation: Raise the minimum supported version of LLVM to 11.0.0 Bump minimum supported version of LLVM to 11.0.0 - - - --- 2021-11-29 Nathan Chancellor New